locked
Azure App Service with TLS 1.1 AND 1.2 RRS feed

  • Question

  • Can an Azure App Service currently running TLS 1.1 be configured to run both 1.1 and 1.2 at the same time?  Are there any potential problems with using both at the same time?  We have some operations that require 1.1, and some operations on the same App Service that require 1.2.  Can the App Service be configured so the operations that need 1.1 AND the operations that need 1.2 can both operate simultaneously? 
    Friday, July 10, 2020 6:32 PM

All replies

  • Hi TekoaSupport,

    Welcome to MSDN forum.

    According to your description, I suppose it is not supported. As I know, the TLS 1.2 is recommended to use by default, you can refer to the following link to enforce different TLS versions to meet your requirement:

    https://docs.microsoft.com/en-us/azure/app-service/configure-ssl-bindings#enforce-tls-versions

    BTW, since our forum focuses on .NET Framework Setup and Servicing, for questions about TLS, please report in the Stack Overflow tagged azure-web-app-service for a more professional support. Thank you for your understanding.

    Hoping everything goes well.

    Sincerely,

    Anna

    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    Monday, July 13, 2020 7:40 AM